build: false
clone_folder: c:\phpunit
max_jobs: 3
platform: x86
pull_requests:
  do_not_increment_build_number: true
version: '{build}.{branch}'

environment:
  COMPOSER_ROOT_VERSION: '7.0-dev'

  matrix:
    - PHP_VERSION: '7.1'
      XDEBUG_VERSION: '2.5.5-7.1'
      DEPENDENCIES: '--prefer-lowest'
    - PHP_VERSION: '7.1'
      XDEBUG_VERSION: '2.5.5-7.1'
      DEPENDENCIES: ''

matrix:
  fast_finish: true

cache:
  - c:\php -> appveyor.yml
  - '%LOCALAPPDATA%\Composer\files'

init:
  - SET PATH=c:\php\%PHP_VERSION%;%PATH%

install:
  - IF NOT EXIST c:\php mkdir c:\php
  - IF NOT EXIST c:\php\%PHP_VERSION% mkdir c:\php\%PHP_VERSION%
  - cd c:\php\%PHP_VERSION%
  - IF NOT EXIST php-installed.txt curl -fsS -o php-%PHP_VERSION%-Win32-VC14-x86.zip https://windows.php.net/downloads/releases/latest/php-%PHP_VERSION%-Win32-VC14-x86-latest.zip
  - IF NOT EXIST php-installed.txt 7z x php-%PHP_VERSION%-Win32-VC14-x86.zip -y >nul
  - IF NOT EXIST php-installed.txt del /Q *.zip
  - IF NOT EXIST php-installed.txt copy /Y php.ini-development php.ini
  - IF NOT EXIST php-installed.txt echo max_execution_time=1200 >> php.ini
  - IF NOT EXIST php-installed.txt echo date.timezone="UTC" >> php.ini
  - IF NOT EXIST php-installed.txt echo extension_dir=ext >> php.ini
  - IF NOT EXIST php-installed.txt echo extension=php_curl.dll >> php.ini
  - IF NOT EXIST php-installed.txt echo extension=php_openssl.dll >> php.ini
  - IF NOT EXIST php-installed.txt echo extension=php_mbstring.dll >> php.ini
  - IF NOT EXIST php-installed.txt echo extension=php_fileinfo.dll >> php.ini
  - IF NOT EXIST php-installed.txt echo extension=php_mysqli.dll >> php.ini
  - IF NOT EXIST php-installed.txt echo extension=php_pdo_sqlite.dll >> php.ini
  - IF NOT EXIST php-installed.txt echo zend.assertions=1 >> php.ini
  - IF NOT EXIST php-installed.txt echo assert.exception=On >> php.ini
  - IF NOT EXIST php-installed.txt curl -fsS -o composer.phar https://getcomposer.org/composer.phar
  - IF NOT EXIST php-installed.txt echo @php %%~dp0composer.phar %%* > composer.bat
  - IF NOT EXIST php-installed.txt curl -fsS -o c:\php\%PHP_VERSION%\ext\php_xdebug-%XDEBUG_VERSION%-vc14.dll https://xdebug.org/files/php_xdebug-%XDEBUG_VERSION%-vc14.dll
  - IF NOT EXIST php-installed.txt echo zend_extension=php_xdebug-%XDEBUG_VERSION%-vc14.dll >> php.ini
  - IF NOT EXIST php-installed.txt type nul >> php-installed.txt
  - cd c:\phpunit
  - composer update --no-interaction --no-ansi --no-progress --no-suggest --optimize-autoloader --prefer-stable %DEPENDENCIES%

test_script:
  - cd c:\phpunit
  - php phpunit
